Update to PHP 7.0


  • Member
    drunkfox
    December 21, 2016 at 12:36 pm #30676

    Hi there. I would like to update the PHP to version 7..x.x, but there are 2 errors and some warning in some files of your them.
    Please, may you help me to resolve?
    Below the details:

    FILE: /wp-content/themes/Aqua/includes/boc_widgets.php
    —————————————————————————————–
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    —————————————————————————————–
    17 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    99 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    —————————————————————————————–

    FILE: /wp-content/themes/Aqua/contact.php
    —————————————————————————————–
    FOUND 2 ERRORS AFFECTING 1 LINE
    —————————————————————————————–
    36 | ERROR | Extension ‘ereg’ is deprecated since PHP 5.3 and removed since PHP 7.0 – use pcre instead.
    36 | ERROR | Function eregi() is deprecated since PHP 5.3 and removed since PHP 7.0; use preg_match instead
    —————————————————————————————–

    FILE: /wp-content/themes/Aqua/option-tree/includes/ot-cleanup-api.php
    —————————————————————————————–
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    —————————————————————————————–
    126 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.
    280 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.
    —————————————————————————————–

    Thank you!

    Sorry, this forum is for verified users only. Please Login or Register to continue

Comments are closed.